List international beneficiaries
curl --request GET \
--url https://thirdparty.qonto.com/v2/international/beneficiaries \
--header 'Authorization: Bearer <token>'import requests
url = "https://thirdparty.qonto.com/v2/international/beneficiaries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://thirdparty.qonto.com/v2/international/beneficiaries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"beneficiaries": [
{
"id": "0d6273cf-e4d0-469a-a3c8-d2196143470c",
"name": "John Doe",
"country": "US",
"currency": "USD",
"payment_type": "aba",
"account_identifier": "123456789",
"legal_type": "LEGAL_TYPE_COMPANY",
"owned_by_customer": false,
"bank_identifier": "AAABBB00",
"branch_identifier": "123456789"
}
],
"meta": {
"current_page": 2,
"next_page": 3,
"prev_page": 1,
"total_pages": 11,
"total_count": 210,
"per_page": 20
}
}Beneficiaries
List international beneficiaries
OAuth scope: organization.read
List international beneficiaries by currency
This endpoint is still in beta. Please get in touch with our team if you have any question or feedback: here.
GET
/
v2
/
international
/
beneficiaries
List international beneficiaries
Authorizations
Bearer authorization header: Bearer <token>, where <token> is the access token received from the authorization server at the end of the OAuth 2.0 flow.
Headers
Required only for Sandbox API requests; to get one, please sign up to the Developer Portal.
Query Parameters
The currency of the international beneficiaries to retrieve (ISO 4217 format, alpha 3)
Example:
"EUR"
Returned page (cf. Pagination).
Number of beneficiaries per page (cf. Pagination).
Was this page helpful?